Vector BLF

Loading...
Searching...
No Matches
Vector::BLF::LinMessage Struct Referencefinal

LIN_MESSAGE. More...

`#include <LinMessage.h>`

Inheritance diagram for Vector::BLF::LinMessage:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default

## Public Attributes
uint16_t | channel {}
| application channel
uint8_t | id {}
| LIN ID.
uint8_t | dlc {}
| LIN DLC.
std::array< uint8_t, 8 > | data {}
uint8_t | fsmId {}
uint8_t | fsmState {}
uint8_t | headerTime {}
uint8_t | fullTime {}
uint16_t | crc {}
uint8_t | dir {}
| direction
uint8_t | reservedLinMessage1 {}
uint32_t | reservedLinMessage2 {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

LIN_MESSAGE.

Deprecated

LIN frame received or transmitted on a LIN channel.

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::LinMessage::calculateObjectSize | ( |  | ) | const
| override virtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::LinMessage::read | ( | AbstractFile & | is | ) |
| override virtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::LinMessage::write | ( | AbstractFile & | os | ) |
| override virtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ channel

uint16_t Vector::BLF::LinMessage::channel {}

application channel

Channel number where the frame sent/received.

## ◆ crc

uint16_t Vector::BLF::LinMessage::crc {}

Checksum byte value

## ◆ data

std::array<uint8_t, 8> Vector::BLF::LinMessage::data {}

Databyte values

## ◆ dir

uint8_t Vector::BLF::LinMessage::dir {}

direction

Direction of bus events

- 0: Rx (received)
- 1: Tx (transmit receipt)
- 2: Tx Request (transmit request)

## ◆ dlc

uint8_t Vector::BLF::LinMessage::dlc {}

LIN DLC.

Frame length

## ◆ fsmId

uint8_t Vector::BLF::LinMessage::fsmId {}

Slave Identifier in the Final State Machine (obsolete)

## ◆ fsmState

uint8_t Vector::BLF::LinMessage::fsmState {}

State Identifier of a Slave in the Final State Machine (obsolete)

## ◆ fullTime

uint8_t Vector::BLF::LinMessage::fullTime {}

Duration of the entire frame [in bit times]

## ◆ headerTime

uint8_t Vector::BLF::LinMessage::headerTime {}

Duration of the frame header [in bit times]

## ◆ id

uint8_t Vector::BLF::LinMessage::id {}

LIN ID.

Frame identifier

## ◆ reservedLinMessage1

uint8_t Vector::BLF::LinMessage::reservedLinMessage1 {}

reserved

## ◆ reservedLinMessage2

uint32_t Vector::BLF::LinMessage::reservedLinMessage2 {}

reserved

The documentation for this struct was generated from the following files:

- LinMessage.h
- LinMessage.cpp